Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 190372

Summary: New ebuild: media-gfx/graphicsmagick
Product: Gentoo Linux Reporter: valli <gentoo>
Component: New packagesAssignee: Default Assignee for New Packages <maintainer-wanted>
Status: RESOLVED FIXED    
Severity: enhancement CC: asolokha, bfriesen, bicatali, bug, devurandom, erlend.davidson, florian.berger, gengor, hkmaly, holger, jroo, orzel, spatz
Priority: High Keywords: EBUILD, InOverlay
Version: unspecified   
Hardware: All   
OS: Linux   
URL: http://www.graphicsmagick.org/
Whiteboard: [sunrise-overlay]
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 202523    
Attachments: GraphicsMagick 1.1.8 ebuild
GraphicsMagick 1.2.4 ebuild
GraphicsMagick 1.2.5 ebuild
Ebuild for GraphicsMagick 1.2.5

Description valli 2007-08-27 08:54:26 UTC
graphicsmagick 1.1.7 was removed from portage.
Please reinsert graphicsmagick version 1.1.8
(Released July 28, 2007) into portage
(we don't want imagemagick).

Reproducible: Always
Comment 1 Jakub Moc (RETIRED) gentoo-dev 2007-08-27 08:58:18 UTC
If you can find a Gentoo developer willing to maintain it, feel free to reopen. Marking LATER, it was removed because there was noone to do this.
Comment 2 valli 2007-08-27 09:44:39 UTC
Created attachment 129302 [details]
GraphicsMagick 1.1.8 ebuild

media-gfx/graphicsmagick/graphicsmagick-1.1.8.ebuild

This ebuild works fine for me.
Hope it will be in portage soon.
Comment 3 Manuel Cramer 2007-09-16 23:49:36 UTC
Attached ebuild from vally works fine for me too.

Comment 4 Jakub Moc (RETIRED) gentoo-dev 2007-09-20 08:42:05 UTC
*** Bug 192755 has been marked as a duplicate of this bug. ***
Comment 5 Jakub Moc (RETIRED) gentoo-dev 2007-09-28 12:58:59 UTC
*** Bug 194086 has been marked as a duplicate of this bug. ***
Comment 6 Bob Friesenhahn 2007-09-28 14:28:06 UTC
For those not already aware, the latest stable GraphicsMagick is now version 1.1.10.
Comment 7 valli 2007-11-26 13:40:58 UTC
Renaming the attached ebuild graphicsmagick-1.1.8.ebuild to
graphicsmagick-1.1.10.ebuild should be enough for
GraphicsMagick 1.1.10
Comment 8 Erlend Davidson 2008-04-14 15:14:49 UTC
Still no one to maintain this?
Comment 9 Bob Friesenhahn 2008-04-14 15:39:18 UTC
It is definitely a bad thing that GraphicsMagick is not being maintained.  The last supported version contains serious security issues which have long been fixed.  Simply removing the package from portage does nothing to help those who previously installed GraphicsMagick.

Maintaining the ebuild is trivial since GraphicsMagick is quite stable and predictable software.  The latest stable version of GraphicsMagick is 1.1.11, released on Febuary 23, 2008.  To put things in perspective, GraphicsMagick 1.1.7 was released on October 12, 2005.
Comment 10 Bob Friesenhahn 2008-05-07 21:35:30 UTC
GraphicsMagick 1.2.1 is now released.  GraphicsMagick 1.2.X is much faster and smaller than ImageMagick.  Performance improvements of 2X to as much as 200X have been observed (as compared to latest ImageMagick).  It is to the Gentoo community's benefit to incorporate GraphicsMagick back into Gentoo.  The previously existing ebuild definition should require only trivial edits to work with GraphicsMagick 1.2.1.
Comment 11 Florian Berger 2008-06-01 15:34:53 UTC
GraphicsMagick 1.2.2 has been released on May 28, 2008.

If you rename graphicsmagick-1.1.8.ebuild (see above) to graphicsmagick-1.2.2.ebuild and emerge it, ./configure warns you about some deprecated flags, but it compiles cleanly and works:

$ gm -version
GraphicsMagick 1.2.2 2008-05-28 Q8 http://www.GraphicsMagick.org/
Copyright (C) 2002-2008 GraphicsMagick Group.
Additional copyrights and licenses apply to this software.
See http://www.GraphicsMagick.org/www/Copyright.html for details.

Feature Support:
  Thread Safe              yes
  Large Files (> 32 bit)   yes
  Large Memory (> 32 bit)  no
  BZIP                     yes
  DPS                      no
  FlashPix                 no
  FreeType                 no
  Ghostscript (Library)    no
  JBIG                     no
  JPEG-2000                yes
  JPEG                     yes
  Little CMS               yes
  Loadable Modules         yes
  OpenMP                   no
  PNG                      yes
  TIFF                     yes
  TRIO                     no
  UMEM                     no
  WMF                      no
  X11                      yes
  XML                      yes
  ZLIB                     yes

Host type: i686-pc-linux-gnu

Configured using the command:
  ./configure  '--prefix=/usr' '--host=i686-pc-linux-gnu' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--datadir=/usr/share' '--sysconfdir=/etc' '--localstatedir=/var/lib' '--with-gs-font-dir=/usr/share/fonts/default/ghostscript' '--enable-shared' '--with-threads' '--with-bzlib' '--without-perl' '--without-fpx' '--with-x' '--without-jbig' '--without-jpeg2k' '--with-jpeg' '--with-lcms' '--disable-lzw' '--with-png' '--with-tiff' '--without-ttf' '--without-wmf' '--with-xml' '--with-quantum-depth=8' '--build=i686-pc-linux-gnu' 'build_alias=i686-pc-linux-gnu' 'host_alias=i686-pc-linux-gnu' 'CFLAGS=-O2 -march=i686 -fomit-frame-pointer' 'CXXFLAGS=-O2 -march=i686 -fomit-frame-pointer' --enable-ltdl-convenience

Final Build Parameters:
  CC       = i686-pc-linux-gnu-gcc -std=gnu99
  CFLAGS   = -O2 -march=i686 -fomit-frame-pointer -Wall -pthread
  CPPFLAGS = -I/usr/include/libxml2
  CXX      = i686-pc-linux-gnu-g++
  CXXFLAGS = -O2 -march=i686 -fomit-frame-pointer -pthread
  LDFLAGS  = -L/usr/lib
  LIBS     = -llcms -ltiff -ljasper -ljpeg -lpng -lXext -lSM -lICE -lX11 -lbz2 -lxml2 -lz -lm -lpthread

It is almost embarassing for a bleeding edge distro not to support a faster, cleaner, more consistent and enhanced version of a legacy tool. ;-)

If I find some time, I might commit an 1.2.2 ebuild to Project Sunrise.

I noticed that a RESOLVED LATER bug does not turn up in the standard bugzilla search, which makes users (like me) wonder what happend to their precious tool in Portage. Is it an option to reopen the bug so it can be found more easily?

Best regards,
Florian
Comment 12 Bob Friesenhahn 2008-06-01 15:55:07 UTC
Thanks for verifying the ebuild.  It is a bit of a concern that --without-ttf is included in the configure parameters.  FreeType is quite useful to have included in the GraphicsMagick build.  Otherwise text rendering is via X11 which is useless for server use and produces less attractive results.

FYI, GM 1.2.3 will contain fixes for new vulnerabilities identified by folks on the Debian project.  They have a collection of "crasher" files which are intended to crash software which trusts bogus parameters from the input file.
Comment 13 valli 2008-06-01 21:58:47 UTC
Florian Berger wrote:
> I noticed that a RESOLVED LATER bug does not turn up in the standard bugzilla
> search, which makes users (like me) wonder what happend to their precious tool
> in Portage. Is it an option to reopen the bug so it can be found more easily?

Yes, let's reopen this bug!
Comment 14 Florian Berger 2008-06-03 20:13:24 UTC
(In reply to comment #12)
> It is a bit of a concern that --without-ttf is included in the
> configure parameters.

Oh, I must admit I've never used it for any serious font rendering, so you are  right.

Best regards,
Florian
Comment 15 Robert Buchholz (RETIRED) gentoo-dev 2008-07-04 00:06:43 UTC
There's yet a new release, 1.2.4. If the configure options changed, please edit the ebuild to reflect that. Proposing an ebuild to be included in the tree when it does not fully support the current release can hardly be successful. You might want to include a useflag for the ttf?

Also, please read up on the Gentoo Sunrise project and maintain the ebuild in that overlay, this would be mostly helpful to all users and does not require the ebuild to be in the tree.
Comment 16 valli 2008-07-04 23:36:05 UTC
Created attachment 159583 [details]
GraphicsMagick 1.2.4 ebuild

media-gfx/graphicsmagick/graphicsmagick-1.2.4.ebuild

New ebuild for GraphicsMagick 1.2.4:
- replaced USE flags depth16,depth32 with q16,q32
  (according ImageMagick ebuild; they use q8,q32 (16 as default))
- removed lzw USE flag (useless in 1.2)
- added fpx and openmp USE flags (please test this)
- some minor changes

ttf will be included if you enable the truetype USE flag
(this was already the case in the 1.1.8 ebuild)
Comment 17 Janne Rönkkö 2008-08-02 13:32:36 UTC
Created attachment 161988 [details]
GraphicsMagick 1.2.5 ebuild
Comment 18 Janne Rönkkö 2008-08-02 13:33:20 UTC
Comment on attachment 161988 [details]
GraphicsMagick 1.2.5 ebuild

I also submitted the ebuild to Sunrise repository.
Comment 19 Janne Rönkkö 2008-08-02 16:32:06 UTC
(In reply to comment #18)
> (From update of attachment 161988 [details] [edit])
> I also submitted the ebuild to Sunrise repository.
> 

The ebuild can now be found from the Sunrise overlay from http://overlays.gentoo.org/svn/proj/sunrise/reviewed/media-gfx/graphicsmagick/
Comment 20 Janne Rönkkö 2008-08-03 08:07:03 UTC
Created attachment 162066 [details]
Ebuild for GraphicsMagick 1.2.5

Corrected license.
Comment 21 Bob Friesenhahn 2008-11-18 02:05:38 UTC
GraphicsMagick 1.3.1 is now released.  GraphicsMagick 1.3.X introduces blazing-fast support for multi-core systems via OpenMP extensions.  The internals are much faster than ImageMagick.  See http://www.graphicsmagick.org/benchmarks.html for the benchmark report.

Bob
Comment 22 Janne Rönkkö 2008-11-18 16:12:18 UTC
Ebuilds have been updated to Sunrise but the ebuild for graphicsmagick 1.3 and 1.3.1 is still waiting to be reviewed. I guess those will hit the reviewed part of the sunrise overlay soon.
Comment 23 valli 2008-11-19 08:56:55 UTC
The graphicsmagick 1.3.1 ebuild works like a charm on amd64.
(though tested without openmp; gcc 4.1.2, glibc-2.6.1)
When could we expect this ebuild in portage?
Comment 24 Janne Rönkkö 2008-11-19 17:58:28 UTC
I have no idea about when this will be in portage. I guess when some gentoo developer takes the ebuild to maintain or when I get an proxy maintainer for this ebuild or I become developer myself :)

But for the time being I will maintain the ebuild in the Sunrise overlay which should be quite the same if you have installed the sunrise overlay (layman -a sunrise).
Comment 25 Janne Rönkkö 2008-12-01 14:18:04 UTC
Ebuild for GM 1.3.2 has been submitted to Sunrise and is waiting to be reviewed. It should hit the reviewed part in couple of days.
Comment 26 Janne Rönkkö 2008-12-10 05:37:52 UTC
Ebuild for GM 1.3.3 has been submitted to the overlay and is waiting to be reviewed. The ebuild should appear to the reviewed part of the overlay in couple of days.
Comment 27 Janne Rönkkö 2009-01-16 05:25:16 UTC
Version bumb to 1.3.4 has been submitted to sunrise. Should be available soon.
Comment 28 valli 2009-01-21 15:40:31 UTC
Hello Janne,
I had the following problems with GM 1.3.4
(amd64, gcc 4.1.2, glibc-2.6.1, USE="X bzip2 jpeg jpeg2k perl png svg threads tiff truetype zlib -cxx -debug -fpx -imagemagick -jbig -lcms -openmp -q16 -q32 -wmf")

- At the end of the installation appears
  ...
   * Detected file collision(s):
   * 
   *      /usr/lib64/perl5/5.8.8/x86_64-linux/perllocal.pod
   * 
   * Searching all installed packages for file collisions...
   * 
   * Press Ctrl-C to Stop
   * 
   * None of the installed packages claim the file(s).
  ...
  I think the ebuild should handle perllocal.pod like in
  /usr/portage/eclass/perl-module.eclass
  (look for fixlocalpod; see also http://bugs.gentoo.org/show_bug.cgi?id=83622)

- When I do the following command
   /usr/bin/gm convert -geometry 170x136! -colorspace RGB -quality 70 in.jpg out.pg
  graphicsmagick dies with this message:
   /usr/bin/gm convert: Unable to load module ("/usr/lib64/GraphicsMagick-1.3.4/modules-Q8/coders/jpeg.la: file not found").
  Although "/usr/lib64/GraphicsMagick-1.3.4/modules-Q8/coders/jpeg.la" exists.
  Any ideas?
Comment 29 Janne Rönkkö 2009-01-21 19:35:05 UTC
I could not reproduce that error on my amd64 machine but I'll look for the fix in that ebuild you linked when I have some more time.
Comment 30 Bob Friesenhahn 2009-01-21 20:00:12 UTC
The lack of useful information when loading the JPEG module is due to a bug in the  version of libtool used (2.2.6).  Libltdl code is overwriting the actual useful error message produced by the operating system.  The bug should be fixed in the next release of libtool.

Typical reasons for the underlying failure are failure to find a dependency library (investigate with 'ldd' on the /usr/lib64/GraphicsMagick-1.3.4/modules-Q8/coders/jpeg.so module) or failure to resolve a function (only only happens if potentially conflicting libraries are installed and the wrong one is used).
Comment 31 valli 2009-01-22 08:02:24 UTC
(In reply to comment #30)
> The lack of useful information when loading the JPEG module is due to a bug in
> the  version of libtool used (2.2.6).  Libltdl code is overwriting the actual
> useful error message produced by the operating system.  The bug should be
> fixed in the next release of libtool.
I use libtool 1.5.26

> Typical reasons for the underlying failure are failure to find a dependency
> library (investigate with 'ldd' on the
> /usr/lib64/GraphicsMagick-1.3.4/modules-Q8/coders/jpeg.so module) or failure
> to resolve a function (only only happens if potentially conflicting libraries
> are installed and the wrong one is used).
ldd /usr/lib64/GraphicsMagick-1.3.4/modules-Q8/coders/jpeg.so
...
      libGraphicsMagick.so.2 => not found
...

Indeed I can't find libGraphicsMagick.so.2. There is only a
libGraphicsMagick.so.3 on my system.

So my idea was simply to re-emerge garphicsmagick. And now ...
ldd /usr/lib64/GraphicsMagick-1.3.4/modules-Q8/coders/jpeg.so
...
      libGraphicsMagick.so.3 => /usr/lib/libGraphicsMagick.so.3
...

Everything works OK now.
FYI: In my first emerge I was updating from garphicsmagick 1.3.1
Comment 32 Janne Rönkkö 2009-01-27 06:47:32 UTC
Version bumb to 1.3.5 has been submitted to sunrise. Should be available soon.
Comment 33 valli 2009-04-01 14:52:07 UTC
Hello Janne,
I just upgraded to GM 1.3.5
(amd64, gcc 4.3.2, glibc-2.8_p20080602-r1, USE="X bzip2 jpeg jpeg2k openmp perl png svg threads tiff truetype zlib -cxx -debug -fpx -imagemagick -jbig -lcms -q16 -q32 -wmf")
Everthing works great! Thanks a lot for your work!

When will this ebuild be available in portage?

Here a small patch for the GM 1.3.5 ebuild solving
the /usr/lib64/perl5/5.8.8/x86_64-linux/perllocal.pod problem
(check also the imagemagick ebuild ragarding this issue)

--- graphicsmagick-1.3.5.ebuild 2009-01-28 00:42:31.000000000 +0100
+++ graphicsmagick-1.3.5-r1.ebuild      2009-04-01 16:13:19.000000000 +0200
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Header: $
 
-inherit flag-o-matic
+inherit flag-o-matic perl-app
 
 EAPI=2
 
@@ -90,6 +90,9 @@
 src_install() {
        emake DESTDIR="${D}" install || die "Installation failed"
        dodoc README.txt ChangeLog* || die "dodoc failed."
+
+       # Fix perllocal.pod file collision
+       use perl && fixlocalpod
 }
 
 pkg_postinst() {
Comment 34 Janne Rönkkö 2009-04-13 08:20:03 UTC
Thanks valli.

I was able to reproduce the problem on my computer and checked that your patch fixes the probled. New version has been submitted to sunrise (no version change because if you have succeeded to compile GM there is no reason to recompile it) and the fixed version should be available in couple of days.
Comment 35 Johan Bergström 2009-06-21 11:00:53 UTC
Two questions regarding this ebuild (not exactly this, but the one found in sunrise nowadays - http://overlays.gentoo.org/proj/sunrise/browser/sunrise/media-gfx/graphicsmagick/graphicsmagick-1.3.5.ebuild )
 - Why is ghostscript required/enabled by default? The graphicsmagick configure output advises to not build against ghostscript. We should at least have a use flag for this?
 - Why dep against media-video/mpeg2vidcodec ?
Comment 36 Bob Friesenhahn 2009-07-28 01:24:41 UTC
GraphicsMagick 1.3.6 is released now!  It should be better than 1.3.5.

Bob
Comment 37 Janne Rönkkö 2009-08-11 14:07:09 UTC
Ebuild for GM 1.3.6 has been submitted to Sunrise overlay.
Comment 38 Maurizio Firmani 2009-08-31 13:07:20 UTC
(In reply to comment #37)
> Ebuild for GM 1.3.6 has been submitted to Sunrise overlay.
> 

On my system the use flag gs give segmentation fault when using gm ebuild 1.3.6.

When I use -gs it works:

gm -version
GraphicsMagick 1.3.6 2009-07-25 Q8 http://www.GraphicsMagick.org/
Copyright (C) 2002-2009 GraphicsMagick Group.
Additional copyrights and licenses apply to this software.
See http://www.GraphicsMagick.org/www/Copyright.html for details.

Feature Support:
  Thread Safe              yes
  Large Files (> 32 bit)   yes
  Large Memory (> 32 bit)  no
  BZIP                     yes
  DPS                      no
  FlashPix                 no
  FreeType                 yes
  Ghostscript (Library)    no
  JBIG                     no
  JPEG-2000                yes
  JPEG                     yes
  Little CMS               no
  Loadable Modules         yes
  OpenMP                   yes (200505)
  PNG                      yes
  TIFF                     yes
  TRIO                     no
  UMEM                     no
  WMF                      yes
  X11                      yes
  XML                      yes
  ZLIB                     yes

Host type: i686-pc-linux-gnu

Configured using the command:
  ./configure  '--prefix=/usr' '--build=i686-pc-linux-gnu' '--host=i686-pc-linux-gnu' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--datadir=/usr/share' '--sysconfdir=/etc' '--localstatedir=/var/lib' '--with-quantum-depth=8' '--enable-magick-compat' '--enable-openmp' '--with-bzlib' '--without-fpx' '--without-jbig' '--with-jpeg' '--with-jp2' '--without-lcms' '--without-magick-plus-plus' '--with-perl' '--with-png' '--with-tiff' '--with-ttf' '--with-x' '--with-xml' '--with-wmf' '--with-zlib' '--with-threads' '--disable-ccmalloc' '--disable-prof' '--disable-gcov' '--disable-gprof' '--enable-largefile' '--without-included-ltdl' '--without-gslib' '--without-dps' '--without-umem' '--without-trio' '--with-modules' '--enable-shared' 'build_alias=i686-pc-linux-gnu' 'host_alias=i686-pc-linux-gnu' 'CFLAGS=-march=prescott -O2 -pipe -fomit-frame-pointer' 'LDFLAGS=-Wl,-O1' 'CXXFLAGS=-march=prescott -O2 -pipe -fomit-frame-pointer' --enable-ltdl-convenience

Final Build Parameters:
  CC       = i686-pc-linux-gnu-gcc -std=gnu99
  CFLAGS   = -fopenmp -march=prescott -O2 -pipe -fomit-frame-pointer -Wall -pthread
  CPPFLAGS = -I/usr/include/freetype2 -I/usr/include/libxml2
  CXX      = i686-pc-linux-gnu-g++
  CXXFLAGS = -march=prescott -O2 -pipe -fomit-frame-pointer -pthread
  LDFLAGS  = -Wl,-O1 -L/usr/lib -L/usr/lib
  LIBS     = -lfreetype -lXext -lSM -lICE -lX11 -lbz2 -lz -lm -lgomp -lpthread
Comment 39 Arseny Solokha 2009-09-11 03:25:19 UTC
GraphicsMagick 1.3.6 froom Sunrise overlay doesn't install perl module with "perl" useflag enabled. It's probably related to issue http://sourceforge.net/tracker/index.php?func=detail&aid=2212113&group_id=73485&atid=537937.

% gm version
GraphicsMagick 1.3.6 2009-07-25 Q16 http://www.GraphicsMagick.org/
Copyright (C) 2002-2009 GraphicsMagick Group.
Additional copyrights and licenses apply to this software.
See http://www.GraphicsMagick.org/www/Copyright.html for details.

Feature Support:
  Thread Safe              yes
  Large Files (> 32 bit)   yes
  Large Memory (> 32 bit)  yes
  BZIP                     no
  DPS                      no
  FlashPix                 no
  FreeType                 yes
  Ghostscript (Library)    yes
  JBIG                     no
  JPEG-2000                no
  JPEG                     yes
  Little CMS               no
  Loadable Modules         yes
  OpenMP                   yes (200505)
  PNG                      yes
  TIFF                     no
  TRIO                     no
  UMEM                     no
  WMF                      yes
  X11                      yes
  XML                      yes
  ZLIB                     yes

Host type: x86_64-pc-linux-gnu

Configured using the command:
  ./configure  '--prefix=/usr' '--build=x86_64-pc-linux-gnu' '--host=x86_64-pc-linux-gnu' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--datadir=/usr/share' '--sysconfdir=/etc' '--localstatedir=/var/lib' '--libdir=/usr/lib64' '--with-quantum-depth=16' '--disable-magick-compat' '--enable-openmp' '--without-bzlib' '--without-fpx' '--without-jbig' '--with-jpeg' '--without-jp2' '--without-lcms' '--without-magick-plus-plus' '--with-perl' '--with-png' '--without-tiff' '--with-ttf' '--with-x' '--with-xml' '--with-wmf' '--with-zlib' '--with-threads' '--disable-ccmalloc' '--disable-prof' '--disable-gcov' '--disable-gprof' '--enable-largefile' '--without-included-ltdl' '--with-gslib' '--without-dps' '--without-umem' '--without-trio' '--with-modules' '--enable-shared' 'build_alias=x86_64-pc-linux-gnu' 'host_alias=x86_64-pc-linux-gnu' 'CFLAGS=-pipe -O2 -march=core2 -mfpmath=sse -fomit-frame-pointer' 'LDFLAGS=-Wl,-O1 -Wl,--hash-style=gnu -Wl,--sort-common -Wl,--as-needed' 'CXXFLAGS=-pipe -O2 -march=core2 -mfpmath=

Final Build Parameters:
  CC       = x86_64-pc-linux-gnu-gcc -std=gnu99
  CFLAGS   = -fopenmp -pipe -O2 -march=core2 -mfpmath=sse -fomit-frame-pointer -Wall -pthread
  CPPFLAGS = -I/usr/include/freetype2 -I/usr/include/libxml2
  CXX      = x86_64-pc-linux-gnu-g++
  CXXFLAGS = -pipe -O2 -march=core2 -mfpmath=sse -fomit-frame-pointer -pthread
  LDFLAGS  = -Wl,-O1 -Wl,--hash-style=gnu -Wl,--sort-common -Wl,--as-needed -L/usr/lib -L/usr/lib
  LIBS     = -lfreetype -lgs -lXext -lSM -lICE -lX11 -lz -lm -lgomp -lpthread
Comment 40 Bob Friesenhahn 2009-09-11 04:08:41 UTC
(In reply to comment #39)
> GraphicsMagick 1.3.6 froom Sunrise overlay doesn't install perl module with
> "perl" useflag enabled. It's probably related to issue
>http://sourceforge.net/tracker/index.php?func=detail&aid=2212113&group_id=73485&atid=537937.

I am not sure what the SourceForge issue has with this.

Notice this text in the GraphicsMagick 1.3.6 NEWS.txt file:

  "Behavior Changes:

     * PerlMagick is configured but no longer built by default."

Dealing with PerlMagick is very complex.  In most cases PerlMagick needs to be built and installed after GraphicsMagick in order for its test suite to have any validity since otherwise wrong libraries may be used.  Due to continually changing (Perl's MakeMaker is a moving target) and difficult to resolve issues, I decided that the person (or script) doing the build should explicitly configure and install PerlMagick.  All of the previously existing Makefile targets still exist, they are just not enabled by default.  Only a static build has the ability to reliably build and test with GraphicsMagick prior to install and Perl after version 5.8.8 has mysteriously lost this ability.
Comment 41 Sébastien Fabbro (RETIRED) gentoo-dev 2009-11-24 00:38:15 UTC
I added graphicsmagick-1.3.7 back to the main tree (I needed it for octave). If anyone interested in proxy-maintaining it, let me know.
Thanks all for your work!